From: "Sebastian Pipping" <sping@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pycxx/
Date: Tue, 29 Nov 2022 00:43:22 +0000 (UTC) [thread overview]
Message-ID: <1669682557.4a46118edd3a0616443a3ed026125c6b0462c572.sping@gentoo> (raw)
commit: 4a46118edd3a0616443a3ed026125c6b0462c572
Author: Sebastian Pipping <sping <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 28 23:12:10 2022 +0000
Commit: Sebastian Pipping <sping <AT> gentoo <DOT> org>
CommitDate: Tue Nov 29 00:42:37 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4a46118e
dev-python/pycxx: 7.1.7 + Python 3.11 + fix false remote ID
Signed-off-by: Sebastian Pipping <sping <AT> gentoo.org>
dev-python/pycxx/Manifest | 1 +
dev-python/pycxx/metadata.xml | 3 +++
dev-python/pycxx/pycxx-7.1.7.ebuild | 37 +++++++++++++++++++++++++++++++++++++
3 files changed, 41 insertions(+)
diff --git a/dev-python/pycxx/Manifest b/dev-python/pycxx/Manifest
index bd8fdd9c4a29..b2a1ef174f08 100644
--- a/dev-python/pycxx/Manifest
+++ b/dev-python/pycxx/Manifest
@@ -1 +1,2 @@
DIST pycxx-7.1.5.tar.gz 156343 BLAKE2B 099de7f88c19ec86aea67b503e6fbdc0df66bbdd3bdc0ff7f8ce77425be9486e6abebed8548f9ac764688a85e62cda77d3832f460e5678b4c07b1c6d2123b257 SHA512 0f980298739886d0c05ddd5ee23ebb234014b8276d811e62dc5b0a738666c6a011ad3f4aeeb7b1b404d8bff87dddfc30f68eec9c6bd13d5f262a2f7c53e273be
+DIST pycxx-7.1.7.tar.gz 156383 BLAKE2B 69a454615c9a7cdc57f4c357b9e3805821711bc48efb82e684da6066069ff0ee6af3b76911a705adb6f984969659441d331a8470061b514180ddf53f6494a33d SHA512 5439b2f72a7f04a628e7e93d093566654f3b4eafe78a7834005f86fb08e614f22f4d1fffb8d626e46cd56880ff7792e494ee3282b313ce668a7497d2bc1fbea9
diff --git a/dev-python/pycxx/metadata.xml b/dev-python/pycxx/metadata.xml
index 0de8867fa9b6..898c29b01984 100644
--- a/dev-python/pycxx/metadata.xml
+++ b/dev-python/pycxx/metadata.xml
@@ -11,6 +11,9 @@
</longdescription>
<upstream>
<remote-id type="sourceforge">cxx</remote-id>
+ <!--
+ Note, PyCXX is not on PyPI, this is a *different* project:
<remote-id type="pypi">pycxx</remote-id>
+ -->
</upstream>
</pkgmetadata>
diff --git a/dev-python/pycxx/pycxx-7.1.7.ebuild b/dev-python/pycxx/pycxx-7.1.7.ebuild
new file mode 100644
index 000000000000..49ffda406c9a
--- /dev/null
+++ b/dev-python/pycxx/pycxx-7.1.7.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="8"
+
+PYTHON_COMPAT=( python3_{8..11} )
+# DISTUTILS_USE_PEP517=setuptools broken, installs files to /usr/CXX
+DISTUTILS_USE_SETUPTOOLS=no
+
+inherit distutils-r1
+
+DESCRIPTION="Set of facilities to extend Python with C++"
+HOMEPAGE="http://cxx.sourceforge.net"
+SRC_URI="mirror://sourceforge/cxx/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-solaris"
+IUSE="doc examples"
+
+python_prepare_all() {
+ # Without this, pysvn fails.
+ # Src/Python3/cxxextensions.c: No such file or directory
+ sed -e "/^#include/s:Src/::" -i Src/*.{c,cxx} || die "sed failed"
+
+ distutils-r1_python_prepare_all
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( Doc/. )
+ if use examples ; then
+ docinto examples
+ dodoc -r Demo/Python{2,3}/.
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+ distutils-r1_python_install_all
+}
next reply other threads:[~2022-11-29 0:43 UTC|newest]
Thread overview: 49+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-11-29 0:43 Sebastian Pipping [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-06-29 16:58 [gentoo-commits] repo/gentoo:master commit in: dev-python/pycxx/ Michał Górny
2024-06-29 10:55 Sam James
2024-06-29 7:57 Arthur Zamarin
2024-06-29 5:55 Joonas Niilola
2024-06-29 5:55 Joonas Niilola
2024-06-08 19:46 Sebastian Pipping
2024-06-06 0:45 Sam James
2024-06-06 0:45 Sam James
2024-05-17 9:49 Michał Górny
2024-05-17 8:46 Arthur Zamarin
2024-05-17 8:46 Arthur Zamarin
2024-05-17 8:31 Arthur Zamarin
2024-05-17 8:11 Michał Górny
2024-04-14 18:41 Sebastian Pipping
2024-04-14 17:49 Sebastian Pipping
2022-12-31 13:31 Michał Górny
2022-12-31 13:01 Sam James
2022-12-31 12:12 Sam James
2022-12-31 10:57 Arthur Zamarin
2022-12-31 10:54 Arthur Zamarin
2022-08-03 9:10 Michał Górny
2022-08-03 6:25 Joonas Niilola
2022-08-02 20:27 Sam James
2022-08-02 18:20 Arthur Zamarin
2022-08-02 17:37 Arthur Zamarin
2022-07-03 13:11 Sebastian Pipping
2021-07-13 6:46 Michał Górny
2021-07-13 6:28 Agostino Sarubbo
2021-07-12 22:37 Sam James
2021-07-12 21:50 Sam James
2021-06-01 11:28 Sam James
2021-06-01 11:28 Sam James
2020-05-12 6:39 Agostino Sarubbo
2020-05-09 11:27 Mikle Kolyada
2020-05-09 11:27 Mikle Kolyada
2020-05-09 11:27 Mikle Kolyada
2020-03-28 17:21 Michał Górny
2020-03-20 9:58 David Seifert
2020-03-02 23:16 Sebastian Pipping
2020-03-02 22:23 Sebastian Pipping
2020-03-01 13:56 Sebastian Pipping
2020-02-03 20:46 Michał Górny
2019-10-06 11:01 Michał Górny
2017-05-17 18:14 Manuel Rüger
2016-06-10 18:34 Michał Górny
2015-12-26 12:03 Agostino Sarubbo
2015-12-25 18:19 Agostino Sarubbo
2015-12-24 20:11 Agostino Sarubbo
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1669682557.4a46118edd3a0616443a3ed026125c6b0462c572.sping@gentoo \
--to=sping@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox